Subject: [nfsv4] Issue98 - can callback traffic show up on any connection?

From: Mike Eisler <[email-masked]>
Date: Sun, 30 Jul 2006 07:13:19 -0700 (PDT)

http://www.nfsv4-editor.org/cgi-bin/roundup/nfsv4/issue98

I'm editing the sessions chapter, and found this
text:
          In fact, the callback channel will be enabled to
          share the same connection as the operations channel.

This implies to me that bi-directional RPC can happen
on any connection bound to the session, regardless whether
BIND_BACHCHANNEL is called.

So Issue98 says:

--------------

Can callback traffic show up on any connection?

If so, then why do we need to bind connections to the back channel
(other than for establishing the secinfo4 requirements and RPCSEC_GSS
context for the server's callback to the client)?

If BIND_BACKCHANNEL is an advisory mechanism to tell servers which
connections are preferred by the client for callbacks, there are better
ways (such as a flag in BIND_CONN_TO_SESSION). And we could reduce
BIND_BACKCHANNEL to its function of setting up RPCSEC_GSS contexts
for the callback.

-----------

So are people (really client implementors; yes, they are people too,
even the ones that what POSIX compatibility :-) prepared
to implement fully bi-directional RPC on their clients?
It will vastly simplify the specification, particularily the
recovery section which I'm trying to write. Though has
a former RPC/TCP implementor, think there will be
difficulties in doing that. I saw BIND_BACKCHANNEL as
a nice way to side step the issue: client creates a 
connection, and hands it to the server for callback use.

I brought this up with Dave Noveck and Spencer. Dave and
Spencer agreed. Dave later noted that call back traffic
is not receivavle until BIND_BACKCHANNEL is invoked.
If that is the model, OK, but BIND_BACKCHANNEL ought to be
renamed.

So it seems we have 3 ways to go here:

- any connection can carry call back traffic
- any connection can carry call back traffic, once
  call backs are enabled
- only designates connections can carry call back traffic.

I need to know in order to finish the sessions chapter
editing.

_______________________________________________
nfsv4 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nfsv4